aboutsummaryrefslogtreecommitdiff
path: root/aux/ci/git-post-receive.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-27 13:09:42 -0300
committerEuAndreh <eu@euandre.org>2021-01-27 13:09:42 -0300
commit53d7c1b4de2d443d531ac4b630f6976c88640815 (patch)
tree9fc004a645bda202cb82b9ff9fbd880646d97c4d /aux/ci/git-post-receive.sh
parentv0.1.2: Use sed over tac for POSIX compatibility (diff)
downloadremembering-53d7c1b4de2d443d531ac4b630f6976c88640815.tar.gz
remembering-53d7c1b4de2d443d531ac4b630f6976c88640815.tar.xz
mv build-aux/ aux/
Diffstat (limited to 'aux/ci/git-post-receive.sh')
-rwxr-xr-xaux/ci/git-post-receive.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/aux/ci/git-post-receive.sh b/aux/ci/git-post-receive.sh
new file mode 100755
index 0000000..2f6e3c0
--- /dev/null
+++ b/aux/ci/git-post-receive.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+for n in $(seq 0 $((GIT_PUSH_OPTION_COUNT - 1))); do
+ opt="$(eval "echo \$GIT_PUSH_OPTION_$n")"
+ if [ "$opt" = skip-ci ] || [ "$opt" = ci-skip ]; then
+ printf "\n'%s' option detected, not running ci-build.sh\n\n" "$opt"
+ exit 0
+ fi
+done
+
+PACKAGE="$(basename "$PWD" | cut -d. -f1)" # remove .git suffix
+LOGS_DIR="/data/ci/$PACKAGE/logs"
+"/data/ci/$PACKAGE/ci-build.sh" "$PACKAGE" "$LOGS_DIR"